      program main
      logical lgOK
      character*80 line
*
*     vary density and flux of ionizing photons
*     and check that subsequent models with the same parameters
*     produce exactly the same results
*
*     grid0.ot1, grid0.ot2 are first and second output files
*
      open(12,file='grid0.ot1')
      open(13,file='grid0.ot2')
      ierr = 66
      open(ierr,file='grid0.err')
*
*     density  and U increments
      deninc = 3.
      uinc = 2.
      icldy = 11
      do n=1,2
        icldy = icldy + 1
        u = -8.
        do while( u.lt. 2.-uinc-0.01 )
          u = u + uinc
          den = -4.
          do while (den.lt. 14.-deninc-0.01)
            den = den + deninc
            call cdInit
*           call cdTalk(.false.)
*           option to redirect output
            call cdOutp( icldy )
*           option to not execute code beyond header
*           call cdNoex
            write(line,'(''title den U= '',1p,2e10.2)')den,u
            call cdRead( line , nleft )
            write(line,'(''ionizat'',f5.2)') u
            call cdRead( line , nleft )
            write(line,'(''table agn '')')
            call cdRead( line , nleft )
            if( den.lt.7. ) then
              write(line,'(''abundance orion '')')
              call cdRead( line , nleft )
            endif
            write(line,'(''iterate to convergence '')')
            call cdRead( line , nleft )
            write(line,'(''hden '',f5.2)') den
            call cdRead( line , nleft )
            write(line,'(''print last iteration '')')
            call cdRead( line , nleft )
            call cdDriv( lgOK )
            call cdErrors( ierr )
          enddo
        enddo
      enddo
      end
